Bug 1480957 - Review Request: golang-github-axgle-mahonia - Character-set conversion library implemented in Go
Review Request: golang-github-axgle-mahonia - Character-set conversion librar...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DeepinDEPackageReview 1476590
  Show dependency treegraph
 
Reported: 2017-08-13 04:11 EDT by sensor.wen
Modified: 2017-10-11 02:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-13 21:05:34 EDT
Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/gocode/src/github.com/axgle/mahonia
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

rpmlint:
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Shouldn't the Release tag include the git hash? There seems to be no released version.

+ package name is OK
? license is acceptable (MIT)
? license is not specified correctly
Where did you see the MIT license? README.md says this is derived from http://code.google.com/p/mahonia/, which lists BSD 3-clause.

Either way, you should open a ticket upstream asking for a license file to be included. Actually adding the license file is not necessary, but the ticket should be opened according to the guidelines [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text].

+ latest version
+ P/R/BR look OK
+ builds and install OK
+ fedora-review and rmplint are happy (modulo the issue listed above)

rpmlint:
golang-github-BurntSushi-freetype-go-unit-test-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-13 21:06:21 EDT
Blah, please ignore the last paragraph, I pasted the wrong text, the right rpmlint output is above.
Comment 3 sensor.wen 2017-08-14 13:15:40 EDT
I opened a new ticket in the upstream for license.

https://github.com/axgle/mahonia/issues/4

Release and license tag is fixed.
Comment 4 sensor.wen 2017-08-19 13:12:58 EDT
https://github.com/FZUG/repo/blob/master/rpms/deepin_project/golang-github-axgle-mahonia.spec

I think project owner is leave. Could you approve it?
Comment 5 Zbigniew Jędrzejewski-Szmek 2017-09-02 05:10:17 EDT
Sorry for the delay, I am travelling.

Everything looks good, package is APPROVED.
Comment 6 Gwyn Ciesla 2017-09-04 14:07:45 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-axgle-mahonia
Comment 7 Fedora Update System 2017-10-09 11:07:32 EDT
golang-github-axgle-mahonia-0-0.1.gitc528b74.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b71d187af0
Comment 8 Fedora Update System 2017-10-11 02:27:16 EDT
golang-github-axgle-mahonia-0-0.1.gitc528b74.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b71d187af0

Note You need to log in before you can comment on or make changes to this bug.